/****************************************************************************
 *                   ^     +----- |  / ^     ^ |     | +-\                  *
 *                  / \    |      | /  |\   /| |     | |  \                 *
 *                 /   \   +---   |<   | \ / | |     | |  |                 *
 *                /-----\  |      | \  |  v  | |     | |  /                 *
 *               /       \ |      |  \ |     | +-----+ +-/                  *
 ****************************************************************************
 * AFKMud Copyright 1997-2003 by Roger Libiez (Samson),                     *
 * Levi Beckerson (Whir), Michael Ward (Tarl), Erik Wolfe (Dwip),           *
 * Cameron Carroll (Cam), Cyberfox, Karangi, Rathian, Raine, and Adjani.    *
 * All Rights Reserved.                                                     *
 *                                                                          *
 * Original SMAUG 1.4a written by Thoric (Derek Snider) with Altrag,        *
 * Blodkai, Haus, Narn, Scryn, Swordbearer, Tricops, Gorog, Rennard,        *
 * Grishnakh, Fireblade, and Nivek.                                         *
 *                                                                          *
 * Original MERC 2.1 code by Hatchet, Furey, and Kahn.                      *
 *                                                                          *
 * Original DikuMUD code by: Hans Staerfeldt, Katja Nyboe, Tom Madsen,      *
 * Michael Seifert, and Sebastian Hammer.                                   *
 ****************************************************************************
 *                Overland Map Environmental Affects Code                   *
 *  Modified from code used in Altanos 9 (Shatai and Eizneckam) by Samson   *
 ****************************************************************************/

#define OBJ_VNUM_OVFIRE 11005

typedef struct  environment_data               ENV_DATA;

struct  environment_data
{
   ENV_DATA *next;
   ENV_DATA *prev;
   sh_int direction;
   sh_int x;
   sh_int y;
   sh_int map;
   sh_int type;
   sh_int damage_per_shake;
   sh_int radius;
   sh_int time_left;
   sh_int intensity;
};

extern ENV_DATA *first_env;
extern ENV_DATA *last_env;
